import request from '@/utils/request';
import { AxiosPromise } from 'axios';
import { AdminCountVO, OrderStatVO, FulfillerRankVO, StoreRankVO } from './types';

// 查询首页统计数据
export function getAdminCount(): AxiosPromise<AdminCountVO> {
  return request({
    url: '/system/admin/index/count',
    method: 'get'
  });
}

// 查询首页近期订单数据（周、月）
export function listOrder(query: { type: number }): AxiosPromise<OrderStatVO[]> {
  return request({
    url: '/system/admin/index/listOrder',
    method: 'get',
    params: query
  });
}

// 查询履约者接单排名
export function getFulfillerRank(): AxiosPromise<FulfillerRankVO[]> {
  return request({
    url: '/system/admin/index/fulfillerRank',
    method: 'get'
  });
}

// 查询门店接单排名
export function getStoreRank(): AxiosPromise<StoreRankVO[]> {
  return request({
    url: '/system/admin/index/storeRank',
    method: 'get'
  });
}
